Package org.eclipse.birt.report.model.api

# Class PrivateStyleHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.StyleHandle
org.eclipse.birt.report.model.api.PrivateStyleHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IStyleModel`

public class PrivateStyleHandle extends StyleHandle
Represents the "private style" for an element. The private style is the set of style properties set on the element itself, instead of inherited from a shared style.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyleModel

`BACKGROUND_ATTACHMENT_PROP, BACKGROUND_COLOR_PROP, BACKGROUND_IMAGE_PROP, BACKGROUND_IMAGE_TYPE_PROP, BACKGROUND_POSITION_X_PROP, BACKGROUND_POSITION_Y_PROP, BACKGROUND_REPEAT_PROP, BACKGROUND_SIZE_HEIGHT, BACKGROUND_SIZE_WIDTH, BORDER_ANTIDIAGONAL_COLOR_PROP, BORDER_ANTIDIAGONAL_NUMBER_PROP, BORDER_ANTIDIAGONAL_STYLE_PROP, BORDER_ANTIDIAGONAL_WIDTH_PROP, BORDER_BOTTOM_COLOR_PROP, BORDER_BOTTOM_STYLE_PROP, BORDER_BOTTOM_WIDTH_PROP, BORDER_DIAGONAL_COLOR_PROP, BORDER_DIAGONAL_NUMBER_PROP, BORDER_DIAGONAL_STYLE_PROP, BORDER_DIAGONAL_WIDTH_PROP, BORDER_LEFT_COLOR_PROP, BORDER_LEFT_STYLE_PROP, BORDER_LEFT_WIDTH_PROP, BORDER_RIGHT_COLOR_PROP, BORDER_RIGHT_STYLE_PROP, BORDER_RIGHT_WIDTH_PROP, BORDER_TOP_COLOR_PROP, BORDER_TOP_STYLE_PROP, BORDER_TOP_WIDTH_PROP, CAN_SHRINK_PROP, COLOR_PROP, DATE_FORMAT_PROP, DATE_TIME_FORMAT_PROP, DISPLAY_PROP, FONT_FAMILY_PROP, FONT_SIZE_PROP, FONT_STYLE_PROP, FONT_VARIANT_PROP, FONT_WEIGHT_PROP, HEIGHT_PROP, HIGHLIGHT_RULES_PROP, LETTER_SPACING_PROP, LINE_HEIGHT_PROP, MAP_RULES_PROP, MARGIN_BOTTOM_PROP, MARGIN_LEFT_PROP, MARGIN_RIGHT_PROP, MARGIN_TOP_PROP, MASTER_PAGE_PROP, NUMBER_ALIGN_PROP, NUMBER_FORMAT_PROP, ORPHANS_PROP, OVERFLOW_PROP, PADDING_BOTTOM_PROP, PADDING_LEFT_PROP, PADDING_RIGHT_PROP, PADDING_TOP_PROP, PAGE_BREAK_AFTER_PROP, PAGE_BREAK_BEFORE_PROP, PAGE_BREAK_INSIDE_PROP, SHOW_IF_BLANK_PROP, STRING_FORMAT_PROP, TEXT_ALIGN_PROP, TEXT_DIRECTION_PROP, TEXT_HYPERLINK_STYLE_PROP, TEXT_INDENT_PROP, TEXT_LINE_THROUGH_PROP, TEXT_OVERLINE_PROP, TEXT_TRANSFORM_PROP, TEXT_UNDERLINE_PROP, TIME_FORMAT_PROP, VERTICAL_ALIGN_PROP, WHITE_SPACE_PROP, WIDOWS_PROP, WIDTH_PROP, WORD_SPACING_PROP`

## Constructor Summary

Constructors
Constructor
Description
`PrivateStyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)`
Constructs the handle for a private style with the given design and element.

## Method Summary

Modifier and Type
Method
Description
`void`
`addUserPropertyDefn(UserPropertyDefn prop)`
This method is not defined for private styles.
`void`
`drop()`
This method is not defined for private styles.
`void`
`dropAndClear()`
This method is not defined for private styles.
`void`
`dropUserPropertyDefn(String propName)`
This method is not defined for private styles.
`int`
`findContentSlot(DesignElementHandle content)`
This method is not defined for private styles.
`DesignElementHandle`
`getElementHandle()`
Returns a handle to the element that owns this private style.
`DesignElementHandle`
`getExtends()`
This method is not defined for private styles.
`void`
`moveTo(DesignElementHandle newContainer, int toSlot)`
This method is not defined for private styles.
`void`
`setExtends(DesignElementHandle parent)`
This method is not defined for private styles.
`void`
`setExtendsElement(org.eclipse.birt.report.model.core.DesignElement parent)`
This method is not defined for private styles.
`void`
`setExtendsName(String name)`
This method is not defined for private styles.

### Methods inherited from class org.eclipse.birt.report.model.api.StyleHandle

`canShrink, getBackgroundAttachment, getBackgroundColor, getBackgroundHeight, getBackgroundImage, getBackgroundImageType, getBackGroundPositionX, getBackGroundPositionY, getBackgroundRepeat, getBackgroundWidth, getBorderBottomColor, getBorderBottomStyle, getBorderBottomWidth, getBorderLeftColor, getBorderLeftStyle, getBorderLeftWidth, getBorderRightColor, getBorderRightStyle, getBorderRightWidth, getBorderTopColor, getBorderTopStyle, getBorderTopWidth, getColor, getDateFormat, getDateFormatCategory, getDateTimeFormat, getDateTimeFormatCategory, getDisplay, getFontFamilyHandle, getFontSize, getFontStyle, getFontVariant, getFontWeight, getHeight, getHighlightTestExpr, getLetterSpacing, getLineHeight, getMapTestExpr, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getMasterPage, getNumberFormat, getNumberFormatCategory, getOrphans, getOverflow, getPaddingBottom, getPaddingLeft, getPaddingRight, getPaddingTop, getPageBreakAfter, getPageBreakBefore, getPageBreakInside, getStringFormat, getStringFormatCategory, getTextAlign, getTextDirection, getTextHyperlinkStyle, getTextIndent, getTextLineThrough, getTextOverline, getTextTransform, getTextUnderline, getTimeFormat, getTimeFormatCategory, getVerticalAlign, getWhiteSpace, getWidows, getWidth, getWordSpacing, highlightRulesIterator, isPredefined, mapRulesIterator, setBackgroundAttachment, setBackgroundHeight, setBackgroundImage, setBackgroundImageType, setBackgroundRepeat, setBackgroundWidth, setBorderBottomStyle, setBorderLeftStyle, setBorderRightStyle, setBorderTopStyle, setCanShrink, setDateFormat, setDateFormatCategory, setDateTimeFormat, setDateTimeFormatCategory, setDisplay, setFontStyle, setFontVariant, setFontWeight, setHeight, setHighlightTestExpr, setMapTestExpr, setMasterPage, setNumberFormat, setNumberFormatCategory, setOrphans, setOverflow, setPageBreakAfter, setPageBreakBefore, setPageBreakInside, setShowIfBlank, setStringFormat, setStringFormatCategory, setTextAlign, setTextDirection, setTextHyperlinkStyle, setTextLineThrough, setTextOverline, setTextTransform, setTextUnderline, setTimeFormat, setTimeFormatCategory, setVerticalAlign, setWhiteSpace, setWidows, setWidth, showIfBlank`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, dropAndClear, dropAndClear, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PrivateStyleHandle

public PrivateStyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)
Constructs the handle for a private style with the given design and element. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### getElementHandle

public DesignElementHandle getElementHandle()
Returns a handle to the element that owns this private style.

Returns:
  a handle to the element that contains this private style

### addUserPropertyDefn

public void addUserPropertyDefn(UserPropertyDefn prop) throws UserPropertyException
This method is not defined for private styles. It will raise an assertion if called.

Overrides:
  `addUserPropertyDefn` in class `DesignElementHandle`
Parameters:
  `prop` - the user property definition to add. The name and property type must be valid.
Throws:
  `UserPropertyException` - if the element is not allowed to have user property or the user property definition is invalid, or if the value of the user-defined choice is invalid for the type of user property definition, the property type is incorrect.
See Also:
  - `DesignElementHandle.addUserPropertyDefn(org.eclipse.birt.report.model.api.core.UserPropertyDefn)`

### dropAndClear

public void dropAndClear() throws SemanticException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `dropAndClear` in class `DesignElementHandle`
Throws:
  `SemanticException` - if this element has no container or the element cannot be dropped.
See Also:
  - `DesignElementHandle.dropAndClear()`

### drop

public void drop() throws SemanticException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `drop` in class `DesignElementHandle`
Throws:
  `SemanticException` - if this element has no container or the element cannot be dropped.
See Also:
  - `DesignElementHandle.drop()`

### dropUserPropertyDefn

public void dropUserPropertyDefn(String propName) throws UserPropertyException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `dropUserPropertyDefn` in class `DesignElementHandle`
Parameters:
  `propName` - the name of the user property to remove
Throws:
  `UserPropertyException` - If the property is not found.
See Also:
  - `DesignElementHandle.dropUserPropertyDefn(java.lang.String)`

### findContentSlot

public int findContentSlot(DesignElementHandle content)
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `findContentSlot` in class `DesignElementHandle`
Parameters:
  `content` - handle to the content element to find
Returns:
  The ID of the slot that contains the element, or `IDesignElementModel.NO_SLOT`if the element is not contained in this element.
See Also:
  - `DesignElementHandle.findContentSlot(org.eclipse.birt.report.model.api.DesignElementHandle)`

### getExtends

public DesignElementHandle getExtends()
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `getExtends` in class `DesignElementHandle`
Returns:
  the parent element. Returns `null` if this element does not have a parent, or if the extends name does not resolve to a valid element.
See Also:
  - `DesignElementHandle.getExtends()`

### moveTo

public void moveTo(DesignElementHandle newContainer, int toSlot) throws ContentException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `moveTo` in class `DesignElementHandle`
Parameters:
  `newContainer` - the new container element
  `toSlot` - the target slot within the new container
Throws:
  `ContentException` - If the element cannot be placed into the target element or slot, perhaps because the element is of the wrong type, the slot is full, or other error.
See Also:
  - `DesignElementHandle.moveTo(org.eclipse.birt.report.model.api.DesignElementHandle, int)`

### setExtends

public void setExtends(DesignElementHandle parent) throws ExtendsException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `setExtends` in class `DesignElementHandle`
Parameters:
  `parent` - handle to the element that this element is to extend. If `null`, then this element will no longer extend another element.
Throws:
  `ExtendsException` - if the parent element is of the wrong type as this element.
See Also:
  - `DesignElementHandle.setExtends(org.eclipse.birt.report.model.api.DesignElementHandle)`

### setExtendsElement

public void setExtendsElement(org.eclipse.birt.report.model.core.DesignElement parent) throws ExtendsException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `setExtendsElement` in class `DesignElementHandle`
Parameters:
  `parent` - the element that this element is to extend
Throws:
  `ExtendsException` - If the parent element is of the wrong type as this element.
See Also:
  - `DesignElementHandle.setExtendsElement(org.eclipse.birt.report.model.core.DesignElement)`

### setExtendsName

public void setExtendsName(String name) throws ExtendsException
This method is not defined for private styles. It will raise an assertion if called. To change the element that owns this private style, use `getElementHandle` to first get a handle to that element.

Overrides:
  `setExtendsName` in class `DesignElementHandle`
Parameters:
  `name` - the name of the element that this one is to extend
Throws:
  `ExtendsException` - if no element exists with the given name, or if the element is of the wrong type.
See Also:
  - `DesignElementHandle.setExtendsName(java.lang.String)`